Plate Decode API Documentation

Welcome to Vehicle Databases API's Documentation

Plate Decode

GETJSON Response

Overview

This API provides VIN and basic vehicle information (make, model, year) by taking license plate number and state. This API covers USA states.

COVERAGE

This API supports US license plate and state.

SUPPORT

License Plate and US State

HTTP Request

Endpoint

GET https://api.vehicledatabases.com/plate-decode/{plate}/{state}

Example — Python / Requests

Target:
Client:
import requests
response = requests.get(
    "https://api.vehicledatabases.com/plate-decode/{plate}/{state}",
    headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())

GET Parameters

ParameterRequiredDescription
plate✓License Plate Number (e.g. 79567NF)
state✓US State Code (e.g. NY)

JSON Response

This API returns the VIN and basic vehicle information for the given plate and state.

ParameterDescription
statussuccess or error
data.intro.vinVehicle Identification Number
data.intro.licenseRequested license plate number
data.intro.stateRequested US state code
data.basic.makeVehicle make
data.basic.modelVehicle model
data.basic.yearVehicle model year

Example Response

{
    "status": "success",
    "data": {
        "intro": {
            "vin": "54DC4W1D0SS207142",
            "license": "79567NF",
            "state": "NY"
        },
        "basic": {
            "make": "ISUZU",
            "model": "NPR HD",
            "year": "2025"
        }
    }
}

Error Responses

error
status

When an error occurs, the API returns an error status with a code and message.

CodeDescriptionResolution
400No Record(s) were found.Verify the plate and state are correct or try a different vehicle.
401Invalid API x-authkey.Provide a valid API x-authkey.
404API endpoint not foundCheck the API endpoint URL.
429Rate limit exceededReduce request frequency to comply with rate limits.